import {createRouter, createWebHashHistory, createWebHistory} from 'vue-router'
import HomeView from '../views/HomeView.vue'

const routes = [
  {
    path: '/',
    name: 'home',
	  describe: '主页',
    component: HomeView
  },
  {
    path: '/about',
    name: 'about',
	  describe: '样例页面',
    component: () => import('../views/AboutView.vue')
  },
  {
    path: '/summary',
    name: 'summary',
	  describe: '办事指南',
    component: () => import('../views/summary.vue')
  },
  {
    path: '/material',
    name: 'material',
	  describe: '材料列表',
    component: () => import('../views/material.vue')
  },
  {
    path: '/materialRead',
    name: 'materialRead',
	  describe: 'materialRead',
    component: () => import('../views/materialRead.vue')
  },
  {
    path: '/scanMaterial',
    name: 'scanMaterial',
	  describe: '资料扫描',
    component: () => import('../views/scanMaterial.vue'),
  },
  {
    path: '/auditing',
    name: 'auditing',
	  describe: '资料审核中',
    component: () => import('../views/auditing.vue')
  },
  {
    path: '/printReport',
    name: 'printReport',
    describe: '打印预审报告',
    component: () => import('../views/printReport.vue')
  },
  {
    path: '/auditTips',
    name: 'auditTips',
    describe: '预审报告提示页面',
    component: () => import('../views/auditTips.vue')
  },
  {
    path: '/report',
    name: 'report',
	  describe: '显示预审报告',
    component: () => import('../views/report.vue')
  },
  {
    path: '/information',
    name: 'information',
    describe: '资料袋装袋',
    component: () => import('../views/information.vue')
  },
  {
    path: '/evaluation',
    name: 'evaluation',
    describe: '评价页面',
    component: () => import('../views/evaluation.vue')
  },
  {
    path: '/evaluationDetail',
    name: 'evaluationDetail',
    describe: '评价详情选项页面',
    component: () => import('../views/evaluationDetail.vue')
  },
  {
    path: '/scanMaterialLook',
    name: 'scanMaterialLook',
    describe: '图片查看页面',
    component: () => import('../views/scanMaterialLook.vue')
  },
  {
    path: '/scanMaterialLoad',
    name: 'scanMaterialLoad',
    describe: '图片查看页面子页面',
    component: () => import('../views/scanMaterialLoad.vue')
  },
  {
    path: '/remoteCheck',
    name: 'remoteCheck',
    describe: '远程核验二维码扫描页面',
    component: () => import('../views/remoteCheck.vue')
  },
  {
    path: '/userSelect',
    name: 'userSelect',
    describe: '身份确认选择页面',
    component: () => import('../views/userSelect.vue')
  },
  {
    path: '/userCard',
    name: 'userCard',
    describe: '手持身份证照片页面',
    component: () => import('../views/userCard.vue')
  },
  {
    path: '/userCopies',
    name: 'userCopies',
    describe: '法人+委托书原件或复印件页面',
    component: () => import('../views/userCopies.vue')
  },
  {
    path: '/userScanMaterial',
    name: 'userScanMaterial',
    describe: '身份扫描材料页面',
    component: () => import('../views/userScanMaterial.vue')
  },
  {
    path: '/dataView',
    name: 'dataView',
    describe: '表单页面',
    component: () => import('../components/dataView.vue')
  },
  {
    path: '/errorPage',
    name: 'errorPage',
    describe: '统一错误页面',
    component: () => import('../components/errorPage.vue')
  },
  {
    path: '/print',
    name: 'print',
    describe: '统一打印页面',
    component: () => import('../views/print.vue')
  },
  {
    path: '/workGuide',
    name: 'workGuide',
    describe: '办事指南处打印word',
    component: () => import('../views/workGuide.vue')
  },
  {
    path: '/inquiryUnemployment',
    name: 'inquiryUnemployment',
    describe: '询问失业原因',
    component: () => import('../views/inquiryUnemployment.vue')
  },
  {
    path: '/copyIdcardApply',
    name: 'copyIdcardApply',
    describe: '身份证复印',
    component: () => import('../views/Apply/copyIdcardApply.vue')
  },
  {
    path: '/copyBusinessApply',
    name: 'copyBusinessApply',
    describe: '营业执照复印',
    component: () => import('../views/Apply/copyBusinessApply.vue')
  },
  {
    path: '/copyOtherApply',
    name: 'copyOtherApply',
    describe: '其他复印',
    component: () => import('../views/Apply/copyOtherApply.vue')
  },
  {
    path: '/copyList',
    name: 'copyList',
    describe: '复印列表',
    component: () => import('../views/Apply/copyList.vue')
  },{
    path: '/formList',
    name: 'formList',
    describe: '表单列表',
    component: () => import('../views/Apply/formList.vue')
  },
  {
    path: '/fillScanMaterial',
    name: 'fillScanMaterial',
    describe: '填报通用扫描材料页面',
    component: () => import('../views/Apply/fillScanMaterial.vue')
  },
  {
    path: '/iframePage',
    name: 'iframePage',
    describe: '嵌套表单',
    component: () => import('../views/Apply/iframePage.vue')
  },
  {
    path: '/contractScan',
    name: 'contractScan',
    describe: '不动产合同扫描材料页面',
    component: () => import('../views/Apply/contractScan.vue')
  }
]

const router = createRouter({
  //History,路径不带#号，http://roboth5.egovrobot.com/workGuide
  // history: createWebHistory(),

  //hash模式，路径带#号，http://roboth5.egovrobot.com/#/workGuide
  history: createWebHashHistory(),
  routes
})

export default router
